function matchArticleStructure(oTable)
{
	// Begin dirty little set of statements to ensure that this table is in fact an article
	// These statements basically check the structure of the document surrounding the table in question
	if (!(oTBody = oTable.firstChild) || !(oTBody.nodeName == "TBODY"))
		return false;
	if (!(oTR = oTBody.firstChild) || !(oTR.nodeName == "TR"))
		return false;
	if (!(oTD = oTR.firstChild) || !(oTD.nodeName == "TD"))
		return false;
	if (!(oIMG = oTD.firstChild) || !(oIMG.nodeName == "IMG"))
		return false;
	if (!(oFont = oTable.nextSibling) || !(oFont.nodeName == "FONT"))
		return false;
	// End dirty little set of statements

	return true;
}

function SlashdotArticle(oZoomTo, sHeadline, sLink, sThreshComments, sTotalComments,
		sImg, sImgW, sImgH, sPoster, sTime, sDepartment)
{
	this.m_oZoomTo = oZoomTo;
	this.m_sHeadline = sHeadline;
	this.m_sLink = sLink;
	this.m_sThreshComments = sThreshComments;
	this.m_sTotalComments = sTotalComments;
	this.m_sImg = sImg;
	this.m_sImgW = sImgW;
	this.m_sImgH = sImgH;
	this.m_sPoster = sPoster;
	this.m_sTime = sTime;
	this.m_sDepartment = sDepartment;
}

SlashdotArticle.prototype.getHeadline = function () { return this.m_sHeadline; }
SlashdotArticle.prototype.getLink = function () { return this.m_sLink; }
SlashdotArticle.prototype.getThresholdComments = function () { return this.m_sThreshComments; }
SlashdotArticle.prototype.getTotalComments = function () { return this.m_sTotalComments; }
SlashdotArticle.prototype.getOfComments = function () { 
	if (this.m_sThreshComments == null)
		return this.m_sTotalComments;
	else
		return (this.m_sThreshComments + " of " + this.m_sTotalComments);
}
SlashdotArticle.prototype.getImage = function () { return this.m_sImg; }
SlashdotArticle.prototype.getImageWidth = function () { return this.m_sImgW; }
SlashdotArticle.prototype.getImageHeight = function () { return this.m_sImgH; }
SlashdotArticle.prototype.getPoster = function () { return this.m_sPoster; }
SlashdotArticle.prototype.getDepartment = function () { return this.m_sDepartment; }